# TripServices Stays

The combined OAS for hospitality workflow.

Version: 12.1.2

## Servers

```
https://api.pp.travelport.com/12/hotel
```

```
https://api.travelport.com/12/hotel
```

## Security

### bearerAuth

Bearer authentication using a JSON Web Token (JWT). The token must be sent in the Authorization header using the format: `Authorization: Bearer <token>`.

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

[TripServices Stays](https://developer.travelport.com/_bundle/apis/stays/@12.1.2/index.yaml)

## Search Complete

Search for hotels.

### Search complete.

 - [POST /search/searchcomplete](https://developer.travelport.com/apis/stays/12.1.2/search-complete/searchcomplete.md): SearchComplete combines into a single API the information that in the Search v11 workflow is returned in separate Search, Details, and Availability requests. SearchComplete provides several optional filters that you can use to specify the type of results to return. You can filter by property criteria, room characteristics, and/or rate details. Regardless of the criteria in the search, all responses return results in the same format. Individual hotel properties matching the search criteria are returned as an array of propertyItems objects. The response returns up to 100 properties, or all requested properties if less than 100. If more than 100 properties matching the search criteria are found, you can request the next pages of results with the SearchComplete Pagination API.

### Return additional SearchComplete results (pagination).

 - [GET /search/searchcomplete/{identifier}](https://developer.travelport.com/apis/stays/12.1.2/search-complete/searchcompletepage.md): SearchComplete uses pagination by default. SearchComplete returns up to 100 properties, or all available if fewer than 100. The response notes the total number of properties found and, if more than 100, it also returns an identifier to be used for retrieving additional pages of results. You can then send this SearchComplete Pagination request to retrieve each additional page of 100 properties until all available properties have been retrieved. NOTE: The identifier used for paging is saved for 30 minutes. You cannot retrieve additional results from that search after it expires.

